export declare class Strings {
    static isEmptyString(value: string): boolean;
    static removeWhitespace(value: string): string;
    static removeExtraSpaces(value: string): string;
    static isValidHexString(value: string): boolean;
    static isValidUri(value: string): boolean;
    static isDataUrl(value: string): boolean;
    static isValidBase64(value: string): boolean;
    static isBase64(value: string): boolean;
    static normalizeLineBreaks(value: string, lineBreak?: string): string;
    static replaceMultiple(value: string, replaceAll: string[], replaceWith: string): string;
    static splitMultiple(value: string, delimiters?: string[], isPreserveDelimiters?: boolean): string[];
    static numberWithCommas(value: number): string;
    static padDigits(value: (string | number), totalDigits?: number): string;
    static sentenceCase(value: string): string;
    static titleCase(string: string): string;
    static initials(string: string): string;
    static replacePlaceholders(value: string, replacements: any): string;
    static tokenize(value: string, delimiters?: string[]): string[];
    static getWords(value: string, delimiters?: string[]): string[];
    static getLines(value: string, characterMaxPerLine?: number): string[];
    static getFunctionFromString(functionName: string, scope?: any): Function;
    static getXmlDocumentElement(elem: any): Document;
    static isHtml(elem: any): boolean;
    static isXml(elem: any): boolean;
    static isSvg(elem: any): boolean;
    static stringToXmlDocument(s: string): Document;
    static xmlToString(xml: Node): string;
    static stringToHtmlDocument(s: string): Document;
    static stringToSvgDocument(s: string): Document;
    static camelToKebab(value: string): string;
    static toCamel(value: string): string;
}
export default Strings;
